Add a comment
curl --request POST \
--url https://api.rntor.com/v1/feed/{id}/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Client-ID: <api-key>' \
--data '
{
"content": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.rntor.com/v1/feed/{id}/comments"
payload = {
"content": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"X-Client-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Client-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({content: '<string>', customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.rntor.com/v1/feed/{id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "req_abc123def456",
"timestamp": "2024-01-15T10:30:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "The request body is missing required field 'email'",
"details": {
"field": "email",
"reason": "required"
}
},
"meta": {
"request_id": "req_abc123def456"
}
}{
"error": {
"code": "invalid_token",
"message": "The access token is invalid or expired"
},
"meta": {
"request_id": "req_abc123def456"
}
}Feed
Add a comment
Add a comment to a feed post
POST
/
feed
/
{id}
/
comments
Add a comment
Authorizations
Your API client secret
Your API client ID